Subject: ab initio basis sets

From: Jan Labanowski <[email-masked]>
Date: Mon, 17 May 1999 00:48:29 -0400 (EDT)

Hi CCL, can you give better answers than my naive explanations?
I did not look at these issues of ages...

Jan
[email-masked]

Actually, your question is a good one for CCL, and you may want
to send it there to get opinions from experts in basis sets (I am not
an expert in any way). Also, I did not look at the papers...

My short comment:

1) Getting the good basis set is a a black art. While there is a systematic
   ways to get good basis sets (e.g., Dunning's correlation consistent basis
   sets), these sets are usually much larger than "ad hoc" (sorry, should be
   "intuitively optimized") basis sets.

2) You contract the inner s/p orbitals for at least 2 reasons:
    a) they usually do not change much on bonding, since most changes
       are in the valence orbitals
   
    b) to prevent core collapse -- the inner orbitals have VERY low
       energy (very large negative), and if uncontracted, the SCF
       optimization would first try to optimize coefficients for these
       orbitals rather than valence ones. 1% change in core orbital
       coefficient can make larger energy change for heavier elements than
       50% change in a valence orbital coefficient. So, it is safer to keep
       them contracted, since they are not optimial for molecular calculations
       as they are derived from atomic calculations.

3) How contractions are done... Again, it is an art... But in short,
   people can get accurate numeric Hartree-Fock atomic calculations
   and fit exponents and coefficients for gaussian expansion of numeric AOs.
   They can also vary exponents and coefficients for atomic calculations
   since these computations are computationally feasible. But when we go
   to molecules, we have to limit the basis set size, or it would not finish
   in our lifetime, and also, there are many molecules to try. So what people
   do, they try to pull together some basis functions (contract them) and redo
   the calculations using either atomic (most often) or simple/representative/
   molecular calculations to see how much energy they loose on going from
   uncontracted -> contracted. If energy change is small, contraction scheme
   is acceptable, if energy change is big, they try to come with different
   contraction scheme. And the big/small is in the eye of the beholder,
   and also depends on particular varian of ab initio (HF vs plethora of
   MCSCF and correlated methods) so often there are different contractions
   schemes for the same set of primitive gaussians. Note also that even for,
   say 20 primitive gaussians, you have a lot of possible contractions
   (factorials are involved), and rarely all possible contraction schemes
   are tried to see which one gives the lowest energy. So in many cases,
   there is a chance to design some new contraction scheme for the old set
   of primitive (i.e., uncontracted) gaussians. 

On Sun, 16 May 1999, Eric German wrote:

> 
> 
> 
> Dear Dr. Lobanowski,
>      I have not any  experience in using of ab initio basis sets  but I
> would like calculate complexes involving atoms of Pd.
>      I would greatly appreciate if you could clear me the following 
> problems with the contracted basis. Hay and Wadt have published
> (JCP,1985) the basis (3s3p4d) for Pd (see 1-st and 2-nd columns of
> table below. 
>  
> (3s3p4d)             [2s2p2d]       [2s1p1d]  
> ---------
> alpha_i   C_i           C_i            C_i
>  
> 5s-orbitals        
> 1                      1            1
> .4496  -.3594574     -1.166        -.3594574
> .1496   .5467561      1.6763        .5467561
>                        2            2
> .0436   .7414499      1.00          .7414499
> 5p-orbitals            
> 2-4                    3-5          3-5
> .7368   .03491         .0763285     .03491
> .0899   .4454769       .974006      .4454769
>                        6-8  
> .0262   .6611266      1.00          .6611266
> 4d-orbitals 
> 5-9                    9-13         6-10
> 6.091   .0447293       .0511957     .0447293
> 1.719   .4425814       .5506564     .4425814
> .6056   .5051035       .578125      .5051035
>                       14-18
> .1883   .2450132      1.00          .2450132
> 
> 9 basis funct.,   18 basis funct.,  10 basis funct.,
> 32 Gaussians      32 Gaussians      32 Gaussians
> 
> 2) There is the standard basis LANL1DZ in Gaussian94 for Pd. It is the
> contracted basis (3s3p4d)/[2s2p2q] (column 3 above). We see that this
> contraction increases the number of basis functions and increases CPU
> time. So, my question is: why this contraction is done and what is idea
> to do the contraction of the first and the second Gaussians but not, for
> example, of the first and the third for 5s-orbitals, and so for 5p
> Gaussians? Are the corresponding coefficients in column 3 obtained by the
> optimization procedure?
> 3) In Column 4 is given the contracted basis (3s3p4d)/[2s1p1d] 
> of Akinaga et al (J.Chem.Phys,109 (1988) 11010 ). We can see that the
> coefficients of this basis is the same as of the uncontracted basis 
> (3s3p4d). How do you think, what could be idea of this contraction?         
>     Many thanks in advance
>   
>               Best wishes
>                             Sicerely 
>                                          E.D. German
> 
> 

Jan K. Labanowski            |    phone: 614-292-9279,  FAX: 614-292-7168
Ohio Supercomputer Center    |    Internet: [email-masked] 
1224 Kinnear Rd,             |    http://www.ccl.net/chemistry.html
Columbus, OH 43212-1163      |    http://www.ccl.net/